Bug 184199 - It is not possible to build noarch ruby packages
Summary: It is not possible to build noarch ruby packages
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ruby   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Bill Huang
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 180066
TreeView+ depends on / blocked
 
Reported: 2006-03-07 05:24 UTC by David Lutterkort
Modified: 2013-04-30 23:40 UTC (History)
5 users (show)

Fixed In Version: 1.8.4-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 10:52:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Lutterkort 2006-03-07 05:24:01 UTC
The problem is that none of the standard install locations for ruby libraries
are the same between 32 and 64 bit architectures.

The following entries in Config::CONFIG should be changed:
rubylibdir - '/usr/lib/ruby/RUBY_VERSION' on all arches
sitelibdir - '/usr/lib/ruby/site_ruby/RUBY_VERSION' on all arches
sitedir - '/usr/lib/ruby/site_ruby' on all arches
archdir - /usr/lib/ruby/RUBY_VERSION/ARCH for 32bit and
/usr/lib64/ruby/RUBY_VERSION/ARCH for 64bit
sitearchdir - /usr/lib/ruby/site_ruby/RUBY_VERSION/ARCH for 32bit and
/usr/lib64/ruby/site_ruby/RUBY_VERSION/ARCH for 64bit

Also, $: probably needs to be initialized a little differently to ensure that
64bit binaries receive preference over 32bit binaries on multilib. I believe the
following would be a better order: [ sitearchdir, sitelibdir, sitedir, archdir,
rubylibdir, "." ]

Comment 1 David Lutterkort 2006-04-03 18:49:29 UTC
Discussion about various ways to address this bug:
https://www.redhat.com/archives/fedora-extras-list/2006-March/msg01264.html

Comment 2 Akira TAGOH 2006-04-19 14:35:14 UTC
I'm working on this and just made a testing package. can you guys test it if it
works/is buildable properly for any ruby packages?

Testing packages are available on http://people.redhat.com/tagoh/ruby/.

TIA


Comment 3 Akira TAGOH 2006-04-19 14:40:04 UTC
(In reply to comment #0)
> Also, $: probably needs to be initialized a little differently to ensure that
> 64bit binaries receive preference over 32bit binaries on multilib. I believe the
> following would be a better order: [ sitearchdir, sitelibdir, sitedir, archdir,
> rubylibdir, "." ]

I disagree. it will makes incompatible behavior between 32bit and 64bit. even if
we change it for all archs, it's still incompatible between ours and upstream,
and other distros too.

Comment 4 Akira TAGOH 2006-04-20 10:04:27 UTC
I've put another testing package on the same place that includes adding the
deprecated path to the search path, providing ruby(abi) etc.

Comment 5 Akira TAGOH 2006-04-21 06:01:52 UTC
If there are any issues on this testing package, I'm planning to push it next
Monday.

Comment 6 Akira TAGOH 2006-05-17 10:52:09 UTC
Fixed in 1.8.4-6


Note You need to log in before you can comment on or make changes to this bug.